%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         vishvananda
%global repo            netns
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          e14a2d4e90ae568a5a78b248da5579f289e25925
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Simple network namespace handling for go
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

%check
# test fails because: netns_linux.go: New creates a new network namespace and returns a handle to it.
#GOPATH={buildroot}/{gopath}:{gopath} go test {import_path}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Fri Nov 14 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.gite14a2d4
- First package for Fedora
  resolves: #1164170

